petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMStagGetCorners

return global element indices of the local region (excluding ghost points)

### Synopsis

    PetscErrorCode DMStagGetCorners(DM dm,PetscInt *x,PetscInt *y,PetscInt *z,PetscInt *m,PetscInt *n,PetscInt *p,PetscInt *nExtrax,PetscInt *nExtray,PetscInt *nExtraz)

Not Collective

### Input Parameter

dm -the DMStag object

### Output Parameters

| x,y,z | - starting element indices in each direction
| m,n,p | - element widths in each direction
| nExtrax,nExtray,nExtraz | - number of extra partial elements in each direction.

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

The number of extra partial elements is either 1 or 0. The value is 1 on right, top, and front non-periodic domain ("physical") boundaries, in the x, y, and z directions respectively, and otherwise 0.

### See Also

DMSTAG, DMStagGetGhostCorners(), DMDAGetCorners()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages